Subject: Re: problems with "more" (or less) in XTerm
From: [email-masked] (David Bush)

28 Aug 1998 02:33:35 -0700
Message-ID: <Pine.SO4.4.02.9808271516550.18348-100000.cygnus.gnu-win32@monty>
References: <13796.53438.24000.695285@SIRIUS>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: "Charles G. Waldman" <[email-masked]>
Cc: Andy Piper <[email-masked]>, [email-masked]

I don't have an answer, but it may be in the setting of your CYGWIN32
environment variable.  Does it include "tty"?

david

On Wed, 26 Aug 1998, Charles G. Waldman wrote:

> 
> I'm using the X11R6.3 and "/usr/local" distributions from Andy Piper's 
> page.  It's nice to be able to interact with NT using Bash in a XTerm
> instead of the ugly and ill-behaved "DOS box"
> 
> However I have found that if you use "more" or "less" inside an XTerm
> it seems to hang - there is some problem related to the controlling
> terminal.  In particular if I run Bash in a DOS box and type
> "xterm &"
> then in the xterm, do something like "ls -R | less"
> I get one screenful of text in the XTerm, then it hangs up.
> Interestingly, if I type into the original DOS box (that I started
> XTerm from), this causes the pager in the subordinate XTerm to
> continue.  So, "less" is looking for the user input to come from the 
> parent terminal, instead of from the XTerm itself.
> 
> (A)  Has anybody else noticed this?  I've only been running Cygnus for 
> a few weeks and perhaps I don't have everything configured correctly.
> (I'm using the 19.4 cygwin DLL from Andy's page)
> 
> (B)  Any ideas how to go about fixing this?
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".